Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FitnessEvaluation.HelloWorld
Class HelloWorldBSF

    java.lang.Object
      FitnessEvaluation.InterpretedFitnessEvaluation
          FitnessEvaluation.InterpretedFitnessEvaluationBSF
              FitnessEvaluation.HelloWorld.HelloWorldBSF

All Implemented Interfaces:
  FitnessFunction, ParameterI

    public class HelloWorldBSF

extends InterpretedFitnessEvaluationBSF

Class for executing the HelloWorld example using BSF. Not the fastest.

Author:
  erikhemberg

Field Summary

Fields inherited from class FitnessEvaluation.InterpretedFitnessEvaluationBSF
`mngr`

Constructor Summary
`HelloWorldBSF()` Creates a new instance of HelloWorldBSF

Method Summary
`protected java.lang.String` | `createCode(Phenotype p)` Create a header and a tail for the input string.
`void` | `setProperties(java.util.Properties p)` Set properties

Methods inherited from class FitnessEvaluation.InterpretedFitnessEvaluationBSF
`runFile`

Methods inherited from class FitnessEvaluation.InterpretedFitnessEvaluation
`canCache, getFitness`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelloWorldBSF

    public HelloWorldBSF()

  Creates a new instance of HelloWorldBSF

Method Detail

### createCode

    protected java.lang.String createCode(Phenotype p)

  Create a header and a tail for the input string. Uses the groovy language Creates a class that extends the WorldWriter class. Inserts the input from the phenotype. Adds a tail.

  Specified by:
    `createCode` in class `InterpretedFitnessEvaluationBSF`
  Parameters:
    `p` - the input
  Returns:
    code

### setProperties

    public void setProperties(java.util.Properties p)

  Set properties

  Parameters:
    `p` - properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD